Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 440422 - sys-power/acpid-2.0.16-r1: some elog messages should only be shown for the first install.
Summary: sys-power/acpid-2.0.16-r1: some elog messages should only be shown for the fi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: first-time-messages
  Show dependency tree
 
Reported: 2012-10-31 10:58 UTC by poletti.marco
Modified: 2013-01-03 13:29 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description poletti.marco 2012-10-31 10:58:36 UTC
Disclaimer: this bug has been filed in a semi-automated manner.

When emerging the package sys-power/acpid-2.0.16-r1, the following elog messages are displayed:

 * 
 * You may wish to read the Gentoo Linux Power Management Guide,
 * which can be found online at:
 * http://www.gentoo.org/doc/en/power-management-guide.xml
 * 

Such messages should only be displayed when the package is a new install.
These situations can be checked in the ebuild as follows:

if ! has_version 'sys-power/acpid'; then

See the tracker bug 440214 for more details.
Comment 1 Sergey Popov gentoo-dev Security 2012-11-19 09:31:42 UTC
Thanks, fixed

+  19 Nov 2012; Sergey Popov <pinkbyte@gentoo.org> acpid-2.0.16-r1.ebuild,
+  acpid-2.0.17.ebuild:
+  Show message about power management guide only when installing package first
+  time wrt bug #440422
Comment 2 Pacho Ramos gentoo-dev 2013-01-02 13:05:10 UTC
This should use either REPLACING_VERSIONS or be shown at pkg_preinst as, otherwise, message won't be shown ever because when it runs has_version, acpid has just being installed
Comment 3 Michal Hrusecky (RETIRED) gentoo-dev 2013-01-03 13:29:00 UTC
Fixed and commited